import UserProvider from '@/context/UserAuth'
import '@/styles/globals.scss'
import { appWithTranslation } from 'next-i18next'
import type { AppProps } from 'next/app'
const i18nextConfig = require('../../next-i18next.config')

const App = ({ Component, pageProps }: AppProps) => {
  // const [user, setUser] = useState('')

  return (
    <UserProvider>
      <Component {...pageProps} />
    </UserProvider>
  )
}

export default appWithTranslation(App, i18nextConfig)
